package cn.com.taiji.tile.service;


import cn.com.taiji.common.model.LayerGroupDsView;
import cn.com.taiji.common.model.LayerStyleView;
import cn.com.taiji.cql.model.GeoRequestParam;
import cn.com.taiji.tile.model.FeatureInfo;

import java.util.List;
import java.util.Map;

public interface ITileService {


    byte[] tileData(GeoRequestParam requestParam, List<LayerGroupDsView> layerGroupDsViewList, Map<String,List<LayerStyleView>> dataMaps);

    /**
     * 查询要素信息
     * @param bbox
     * @param type
     * @param layerName
     * @return
     */
    List<?> queryElements(String bbox, Integer type, String layerName);

    FeatureInfo getFeatureInfo(GeoRequestParam geoRequestParam, List<LayerGroupDsView> layerGroupDsViewList, Map<String, List<LayerStyleView>> dataMaps);

}
